Get browser session detail
const url = 'https://api.ultimateteam.ai/api/v1/browser-sessions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/api/v1/browser-sessions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'X-API-Key: <X-API-Key>'Returns the full detail of a single browser session including summary, screenshots, and recording path.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”The browser session UUID
The browser session UUID
Responses
Section titled “ Responses ”Successful Response
Full detail of a single browser session.
Attributes: id: Session UUID. agent_role: Which agent ran the session. tier: Autonomy tier. task: Browsing objective description. target_url: Starting URL. status: Current lifecycle status. approval_id: AutonomyEngine approval ID (payment tier). recording_gcs_path: GCS path to rrweb recording. summary: Structured session summary. screenshots: GCS paths to screenshots. credits_consumed: Credits used. duration_ms: Session duration in milliseconds. error_message: Error description if session failed. created_at: When the session was requested. completed_at: When the session finished.
object
Example
{ "credits_consumed": 0}Validation Error
object
object
object
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}